#pragma once
#include "../enity.hpp"
//! пуля
class Prt: public Enity {
public:
  Prt() = default;
  ~Prt() = default;
  //! у частиц нет хитбоксов
  CN(vp_figure_t) get_hits() const override{ return vp_figure_empty; }
  bool draw(Image& dst, CN(Vec) offset) const override {
    if ((Game::status & GF_BLINK_OPTMZ) // оптимизация миганием
    && (Game::status & GF_VLAGS) // только при лагах
    && ((uid + Game::timer_anim) & 1)) // чтобы мигали всегда разные
      return false;
    return Enity::draw(dst, offset);
  }
private:
  nocopy(Prt);
}; // Prt
#include "prt-load.cpp"